﻿using RimWorld;
using Verse;

namespace LuciferiumExpansion
{
    public class HediffWithComps_USH_InnerOrgansHealer : HediffWithComps
    {
        public override void PostMake()
        {
            base.PostMake();
            foreach (Hediff hediff in this.pawn.health.hediffSet.GetHediffs<Hediff>())
            {
                if (hediff.def == HediffDef.Named("USH_InnerOrgansWeakening"))
                {
                    float firstSeverity = hediff.Severity;
                    if (firstSeverity <= 0.125f)
                    {
                        hediff.Severity = 0.01f;
                    }
                    else
                    {
                        hediff.Severity = firstSeverity - 0.125f;
                    }
                    break;
                }
            }
        }
    }
}