﻿// Decompiled with JetBrains decompiler
// Type: VCHE.CompPumpjack
// Assembly: VCHE, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null
// MVID: 872512D5-06CA-4BFC-9B2D-EE9D4D7F939F
// Assembly location: C:\Users\Joachim\Desktop\RimWorld.v1.3.3200\RimWorld.v1.3.3200\Mods\2792917473_vanilla_chemfuel_expanded\1.3\Assemblies\VCHE.dll

using PipeSystem;
using RimWorld;
using System;
using System.Collections.Generic;
using System.Text;
using System.Linq;
using UnityEngine;
using Verse;
using Verse.Sound;

namespace LuciferiumExpansion
{
    [StaticConstructorOnStartup]
    public class CompScarlettCollector : ThingComp
    {
        private CompResourceStorage resource;
        private CompPowerTrader powerComp;
        private int nextProduceTick = -1;
        internal List<IntVec3> lumpCells;
        private PipeNet pipeNet;
        private Map map;
        private IntVec3 loc;


        public CompProperties_ScarlettCollector Props => (CompProperties_ScarlettCollector)this.props;

        public override void PostSpawnSetup(bool respawningAfterLoad)
        {
            base.PostSpawnSetup(respawningAfterLoad);
            map = this.parent.Map;
            this.resource = this.parent.GetComp<CompResourceStorage>();
            this.powerComp = this.parent.GetComp<CompPowerTrader>();
        }

        public override void PostDeSpawn(Map map) => this.nextProduceTick = -1;

        public override void CompTick()
        {
            base.CompTick();
            
            int ticksGame = Find.TickManager.TicksGame;
            if (this.nextProduceTick == -1)
                this.nextProduceTick = ticksGame + this.Props.ticksPerPortion;
            else if (ticksGame >= this.nextProduceTick)
            {
                this.TryProducePortion();
                this.nextProduceTick = ticksGame + this.Props.ticksPerPortion;
            }
        }

        public override string CompInspectStringExtra()
        {
            StringBuilder stringBuilder = new StringBuilder();
            if (this != null)
            {
                stringBuilder.Append((string) "USH_LE_Efficiency".Translate() + ": " + ((Mathf.Round(this.parent.GetStatValue(StatDef.Named("USH_ScarlettCollectorCollectingSpeedFactor")) * 100f) / 100f) * 100f).ToString() + "%");
                stringBuilder.AppendLine();
                if (this.powerComp.PowerOn)
                {
                    if (!map.roofGrid.Roofed(loc))
                    {
                        stringBuilder.Append((string)"USH_LE_Producing".Translate() + ": " + ((60000 / this.Props.ticksPerPortion) * (Mathf.Round(this.parent.GetStatValue(StatDef.Named("USH_ScarlettCollectorCollectingSpeedFactor")) * 100f) / 100f)).ToString() + " l/d");
                    }
                    else
                    {
                        stringBuilder.Append((string)"USH_LE_Not_Producing_Roofed".Translate());
                    }
                }
            }
            return stringBuilder.ToString().TrimEnd();
        }

        private void TryProducePortion()
        {
            this.pipeNet = this.parent.GetComp<CompResource>().PipeNet;
            checkForRoof();
            if (this.powerComp.PowerOn && !map.roofGrid.Roofed(loc))
            {
                if (pipeNet != null)
                {
                    pipeNet.DistributeAmongStorage(1f * (Mathf.Round(this.parent.GetStatValue(StatDef.Named("USH_ScarlettCollectorCollectingSpeedFactor")) * 100f) / 100f));
                }

            }
        }

        private void checkForRoof()
        {
            loc = this.parent.Position;
        }

        //private void DrawMat(Material mat, Vector3 drawPos) => Graphics.DrawMesh(MeshPool.plane10, Matrix4x4.TRS(drawPos, this.parent.Rotation.AsQuat, new Vector3(3f, 1f, 3f)), mat, 0);

    }
}
